curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/api-keys' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"label": "Replacement tent pole set"
}'
{
"token": "YOUR_API_KEY",
"key": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_global": true,
"brand_slugs": [
"acme-outdoors"
],
"label": "Replacement tent pole set",
"subject": "Replacement tent pole set",
"token_prefix": "YOUR_API_KEY",
"created_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"last_used_at": "2026-08-31T14:22:05Z",
"revoked_at": "2026-08-31T14:22:05Z"
}
}
Create brand api key
Create brand api key
POST
/
v1
/
brands
/
{brand_id}
/
api-keys
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/api-keys' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"label": "Replacement tent pole set"
}'
{
"token": "YOUR_API_KEY",
"key": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_global": true,
"brand_slugs": [
"acme-outdoors"
],
"label": "Replacement tent pole set",
"subject": "Replacement tent pole set",
"token_prefix": "YOUR_API_KEY",
"created_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"last_used_at": "2026-08-31T14:22:05Z",
"revoked_at": "2026-08-31T14:22:05Z"
}
}
Path parameters
string (uuid)
required
Request body
object
string
Defaults to ‘<slug> key’
Response
object
string
required
Plaintext
sk_live_… token — shown once; only its hash is persistedobject
required
Status codes
| Code | Meaning |
|---|---|
201 | Key created. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/api-keys' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"label": "Replacement tent pole set"
}'
{
"token": "YOUR_API_KEY",
"key": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_global": true,
"brand_slugs": [
"acme-outdoors"
],
"label": "Replacement tent pole set",
"subject": "Replacement tent pole set",
"token_prefix": "YOUR_API_KEY",
"created_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"last_used_at": "2026-08-31T14:22:05Z",
"revoked_at": "2026-08-31T14:22:05Z"
}
}
Last modified on August 31, 2026